use utf8;
package Pooru::Schema::Result::Kind;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Pooru::Schema::Result::Kind

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<kind>

=cut

__PACKAGE__->table("kind");

=head1 ACCESSORS

=head2 id

  data_type: 'text'
  is_nullable: 0
  size: 32

=head2 name

  data_type: 'text'
  is_nullable: 0
  size: 256

=cut

__PACKAGE__->add_columns(
  "id",
  { data_type => "text", is_nullable => 0, size => 32 },
  "name",
  { data_type => "text", is_nullable => 0, size => 256 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<name_unique>

=over 4

=item * L</name>

=back

=cut

__PACKAGE__->add_unique_constraint("name_unique", ["name"]);

=head1 RELATIONS

=head2 tags

Type: has_many

Related object: L<Pooru::Schema::Result::Tag>

=cut

__PACKAGE__->has_many(
  "tags",
  "Pooru::Schema::Result::Tag",
  { "foreign.kind_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07052 @ 2025-04-26 09:36:47
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:ePfTpTOWY1H3Bky/bjA3iA


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
