package Pooru::Site::Controller::Tags;
use Mojo::Base "Mojolicious::Controller", -signatures;

sub list ($self)
{
	my $v = $self->validation;

	my $page = $v->optional("page")->num(1, undef)->param // 1;
	return $self->render(
		status => 400
	) if $v->has_error;

	$self->render_later;

	my $endpoint = $self->api_v0_url->path("tags")->query(page => $page);
	$self->ua->get($endpoint, sub ($ua, $tx) {
		return $self->render(
			text => "Backend error.",
			status => 500,
		) if $tx->error;

		my $json = $tx->res->json;
		my @tags = map +{
			name => $_->{name},
			kind_id => $_->{kind_id},
			display => $_->{display},
			count => $_->{count},
		}, $json->{tags}->@*;

		$self->stash(pager => $json->{pager});
		return $self->render(
			template => "tags",
			tags => [@tags],
		);
	});
}

1;
